CVE-2017-15412

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Use after free in libxml2 before 2.9.5, as used in Google Chrome prior to 63.0.3239.84 and other products, allowed a remote attacker to potentially exploit heap corruption via a crafted HTML page.

References

http://www.securitytracker.com/id/1040348

https://access.redhat.com/errata/RHSA-2017:3401

https://access.redhat.com/errata/RHSA-2018:0287

https://bugzilla.gnome.org/show_bug.cgi?id=783160

https://chromereleases.googleblog.com/2017/12/stable-channel-update-for-desktop.html

https://crbug.com/727039

https://lists.debian.org/debian-lts-announce/2017/12/msg00014.html

https://security.gentoo.org/glsa/201801-03

https://www.debian.org/security/2018/dsa-4086

Details

Source: MITRE

Published: 2018-08-28

Updated: 2018-10-25

Type: CWE-416

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH

Tenable Plugins

View all (31 total)

IDNameProductFamilySeverity
143920NewStart CGSL CORE 5.05 / MAIN 5.05 : libxml2 Multiple Vulnerabilities (NS-SA-2020-0091)NessusNewStart CGSL Local Security Checks
high
143906NewStart CGSL CORE 5.04 / MAIN 5.04 : libxml2 Multiple Vulnerabilities (NS-SA-2020-0060)NessusNewStart CGSL Local Security Checks
high
139549Amazon Linux AMI : libxml2 (ALAS-2020-1415)NessusAmazon Linux Local Security Checks
high
138855Amazon Linux 2 : libxml2 (ALAS-2020-1466)NessusAmazon Linux Local Security Checks
high
135819Scientific Linux Security Update : libxml2 on SL7.x x86_64 (20200407)NessusScientific Linux Local Security Checks
high
135358CentOS 7 : libxml2 (CESA-2020:1190)NessusCentOS Local Security Checks
high
135071RHEL 7 : libxml2 (RHSA-2020:1190)NessusRed Hat Local Security Checks
high
123897EulerOS Virtualization 2.5.4 : libxml2 (EulerOS-SA-2019-1211)NessusHuawei Local Security Checks
high
122207EulerOS 2.0 SP3 : libxml2 (EulerOS-SA-2019-1034)NessusHuawei Local Security Checks
high
120995EulerOS 2.0 SP5 : libxml2 (EulerOS-SA-2019-1007)NessusHuawei Local Security Checks
high
120695Fedora 28 : chromium (2018-aafdbb5554)NessusFedora Local Security Checks
high
119935EulerOS 2.0 SP2 : libxml2 (EulerOS-SA-2018-1446)NessusHuawei Local Security Checks
high
700351Google Chrome < 63.0.3239.84 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
high
108812Apple iOS < 11.3 Multiple VulnerabilitiesNessusMobile Devices
high
108787macOS and Mac OS X Multiple Vulnerabilities (Security Update 2018-002)NessusMacOS X Local Security Checks
high
108786macOS 10.13.x < 10.13.4 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
critical
108679Fedora 27 : chromium (2018-faff5f661e)NessusFedora Local Security Checks
high
106741openSUSE Security Update : libxml2 (openSUSE-2018-154)NessusSuSE Local Security Checks
high
106708SUSE SLED12 / SLES12 Security Update : libxml2 (SUSE-SU-2018:0401-1)NessusSuSE Local Security Checks
high
106707SUSE SLES11 Security Update : libxml2 (SUSE-SU-2018:0395-1)NessusSuSE Local Security Checks
high
106236FreeBSD : chromium -- multiple vulnerabilities (1d951e85-ffdb-11e7-8b91-e8e0b747a45a)NessusFreeBSD Local Security Checks
high
105968Fedora 27 : chromium (2017-c2645aa935)NessusFedora Local Security Checks
high
105801Debian DSA-4086-1 : libxml2 - security updateNessusDebian Local Security Checks
high
105629GLSA-201801-03 : Chromium, Google Chrome: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
105501Fedora 26 : chromium (2017-ea44f172e3)NessusFedora Local Security Checks
critical
105360Debian DLA-1211-1 : libxml2 security updateNessusDebian Local Security Checks
high
105254Ubuntu 14.04 LTS / 16.04 LTS / 17.04 / 17.10 : libxml2 vulnerability (USN-3513-1)NessusUbuntu Local Security Checks
high
105235openSUSE Security Update : chromium (openSUSE-2017-1349)NessusSuSE Local Security Checks
high
105153Google Chrome < 63.0.3239.84 Multiple Vulnerabilities (macOS)NessusMacOS X Local Security Checks
high
105152Google Chrome < 63.0.3239.84 Multiple VulnerabilitiesNessusWindows
high
105091RHEL 6 : chromium-browser (RHSA-2017:3401)NessusRed Hat Local Security Checks
high